Package tigase.db.derby

## Class StoredProcedures

- java.lang.Object
- - tigase.db.derby.StoredProcedures

-     public class StoredProcedures
      extends java.lang.Object

  Version:
    5.1.0, 2010.09.11 at 02:08:58 BST
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StoredProcedures()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `tigAccountStatus​(java.lang.String user, java.sql.ResultSet[] data)` |
    `static void` | `tigActiveAccounts​(java.sql.ResultSet[] data)` |
    `static void` | `tigAddNode​(long parentNid, long uid, java.lang.String node, java.sql.ResultSet[] data)` |
    `static void` | `tigAddUser​(java.lang.String userId, java.lang.String userPw, java.sql.ResultSet[] data)` |
    `static void` | `tigAddUserPlainPw​(java.lang.String userId, java.lang.String userPw, java.sql.ResultSet[] data)` |
    `static void` | `tigAllUsers​(java.sql.ResultSet[] data)` |
    `static void` | `tigAllUsersCount​(java.sql.ResultSet[] data)` |
    `static void` | `tigDisableAccount​(java.lang.String userId)` |
    `static void` | `tigDisabledAccounts​(java.sql.ResultSet[] data)` |
    `static void` | `tigEnableAccount​(java.lang.String userId)` |
    `static void` | `tigGetComponentVersion​(java.lang.String component, java.sql.ResultSet[] data)` |
    `static java.lang.String` | `tigGetDBProperty​(java.lang.String key)` |
    `static void` | `tigGetPassword​(java.lang.String userId, java.sql.ResultSet[] data)` |
    `static void` | `tigGetUserDBUid​(java.lang.String userId, java.sql.ResultSet[] data)` |
    `static void` | `tigInitdb()` |
    `static void` | `tigOfflineUsers​(java.sql.ResultSet[] data)` |
    `static void` | `tigOnlineUsers​(java.sql.ResultSet[] data)` |
    `static void` | `tigRemoveUser​(java.lang.String userId)` |
    `static void` | `tigSetComponentVersion​(java.lang.String name, java.lang.String version)` |
    `static void` | `tigUpdateAccountStatus​(java.lang.String user, int status)` |
    `static void` | `tigUpdateLoginTime​(java.lang.String userId)` |
    `static void` | `tigUpdatePairs​(long nid, long uid, java.lang.String key, java.sql.Clob value)` |
    `static void` | `tigUpdatePasswordPlainPw​(java.lang.String userId, java.lang.String userPw)` |
    `static void` | `tigUpdatePasswordPlainPwRev​(java.lang.String userPw, java.lang.String userId)` |
    `static void` | `tigUserCredentialRemove​(java.lang.String userId, java.lang.String username)` |
    `static void` | `tigUserCredentialsGet​(java.lang.String userId, java.lang.String username, java.sql.ResultSet[] data)` |
    `static void` | `tigUserCredentialUpdate​(java.lang.String userId, java.lang.String username, java.lang.String mechanism, java.lang.String value)` |
    `static void` | `tigUserLoginPlainPw​(java.lang.String userId, java.lang.String userPw, java.sql.ResultSet[] data)` |
    `static void` | `tigUserLogout​(java.lang.String userId)` |
    `static void` | `tigUserUsernamesGet​(java.lang.String userId, java.sql.ResultSet[] data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoredProcedures

          public StoredProcedures()

  - ### Method Detail

    - #### tigAccountStatus

          public static void tigAccountStatus​(java.lang.String user,
                                              java.sql.ResultSet[] data)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigActiveAccounts

          public static void tigActiveAccounts​(java.sql.ResultSet[] data)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigAddNode

          public static void tigAddNode​(long parentNid,
                                        long uid,
                                        java.lang.String node,
                                        java.sql.ResultSet[] data)
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigAddUser

          public static void tigAddUser​(java.lang.String userId,
                                        java.lang.String userPw,
                                        java.sql.ResultSet[] data)
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigAddUserPlainPw

          public static void tigAddUserPlainPw​(java.lang.String userId,
                                               java.lang.String userPw,
                                               java.sql.ResultSet[] data)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigAllUsers

          public static void tigAllUsers​(java.sql.ResultSet[] data)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigAllUsersCount

          public static void tigAllUsersCount​(java.sql.ResultSet[] data)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigDisableAccount

          public static void tigDisableAccount​(java.lang.String userId)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigDisabledAccounts

          public static void tigDisabledAccounts​(java.sql.ResultSet[] data)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigEnableAccount

          public static void tigEnableAccount​(java.lang.String userId)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigGetComponentVersion

          public static void tigGetComponentVersion​(java.lang.String component,
                                                    java.sql.ResultSet[] data)
                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigGetDBProperty

          public static java.lang.String tigGetDBProperty​(java.lang.String key)
                                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigGetPassword

          public static void tigGetPassword​(java.lang.String userId,
                                            java.sql.ResultSet[] data)
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigGetUserDBUid

          public static void tigGetUserDBUid​(java.lang.String userId,
                                             java.sql.ResultSet[] data)
                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigInitdb

          public static void tigInitdb()
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigOfflineUsers

          public static void tigOfflineUsers​(java.sql.ResultSet[] data)
                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigOnlineUsers

          public static void tigOnlineUsers​(java.sql.ResultSet[] data)
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigRemoveUser

          public static void tigRemoveUser​(java.lang.String userId)
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigSetComponentVersion

          public static void tigSetComponentVersion​(java.lang.String name,
                                                    java.lang.String version)
                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUpdateAccountStatus

          public static void tigUpdateAccountStatus​(java.lang.String user,
                                                    int status)
                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUpdateLoginTime

          public static void tigUpdateLoginTime​(java.lang.String userId)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUpdatePairs

          public static void tigUpdatePairs​(long nid,
                                            long uid,
                                            java.lang.String key,
                                            java.sql.Clob value)
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUpdatePasswordPlainPw

          public static void tigUpdatePasswordPlainPw​(java.lang.String userId,
                                                      java.lang.String userPw)
                                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUpdatePasswordPlainPwRev

          public static void tigUpdatePasswordPlainPwRev​(java.lang.String userPw,
                                                         java.lang.String userId)
                                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUserCredentialRemove

          public static void tigUserCredentialRemove​(java.lang.String userId,
                                                     java.lang.String username)
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUserCredentialUpdate

          public static void tigUserCredentialUpdate​(java.lang.String userId,
                                                     java.lang.String username,
                                                     java.lang.String mechanism,
                                                     java.lang.String value)
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUserCredentialsGet

          public static void tigUserCredentialsGet​(java.lang.String userId,
                                                   java.lang.String username,
                                                   java.sql.ResultSet[] data)
                                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUserLoginPlainPw

          public static void tigUserLoginPlainPw​(java.lang.String userId,
                                                 java.lang.String userPw,
                                                 java.sql.ResultSet[] data)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUserLogout

          public static void tigUserLogout​(java.lang.String userId)
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### tigUserUsernamesGet

          public static void tigUserUsernamesGet​(java.lang.String userId,
                                                 java.sql.ResultSet[] data)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`